i2c2_0x50 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: XX 80 1f 19 XX XX XX XX XX XX XX XX XX XX XX XX    X???XXXXXXXXXXXX
10: 00 XX XX XX XX 30 0f XX XX b0 XX ff XX XX XX XX    .XXXX0?XX?X.XXXX
20: XX 33 00 XX 00 00 00 01 XX 08 XX XX XX XX XX XX    X3.X...?X?XXXXXX
30: XX XX XX d2 XX 10 0e XX XX 00 XX XX XX XX XX XX    XXX?X??XX.XXXXXX
40: 1a 80 e7 e7 e6 00 50 b8 XX XX 46 XX XX XX XX 7d    ?????.P?XXFXXXX}
50: c0 64 XX XX XX 3c 00 XX 0f XX XX XX XX XX 80 40    ?dXXX<.X?XXXXX?@
60: 03 02 00 00 02 02 XX XX XX XX XX XX XX XX XX XX    ??..??XXXXXXXXXX
70: XX XX XX XX XX XX XX XX 02 02 00 00 00 00 82 XX    XXXXXXXX??....?X
80: XX XX XX XX XX XX XX XX 8a XX XX 35 11 22 XX XX    XXXXXXXX?XX5?"XX
90: XX XX XX XX XX XX 52 XX 22 02 03 03 XX XX XX XX    XXXXXXRX"???XXXX
a0: XX XX XX XX XX XX XX XX XX XX XX XX XX 01 01 XX    XXXXXXXXXXXXX??X
b0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
c0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
d0: 00 00 XX XX XX XX 20 XX 00 01 XX 36 11 22 XX XX    ..XXXX X.?X6?"XX
e0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
f0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX

"""

# si570
# i2c7_0x5d
zsfp_clk = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 4f 02 32 a1 3d 20 00 01 c2 bc 92 02 c5 07 c2 c0    O?2?= .?????????
10: 00 00 00 07 c2 c0 00 00 00 07 c2 c0 00 00 00 0c    ...???...???...?
20: 51 ff f0 00 00 0e a6 00 00 00 00 00 00 00 00 00    Q.?..??.........
30: 00 00 00 0b 38 22 00 00 00 00 00 00 00 00 00 00    ...?8"..........
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 20 3f 6a 41 99 81 03 00 10 08 00 00 00 00 02 bc     ?jA???.??....??
90: 92 02 c5 00 00 00 62 00 00 00 00 00 00 00 00 00    ???...b.........
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""

# si570
# i2c8_0x5f
user_clk = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 4f 02 32 a1 3d 20 00 22 42 bc 0b f6 9a 07 c2 c0    O?2?= ."B???????
10: 00 00 00 07 c2 c0 00 00 00 07 c2 c0 00 00 00 0c    ...???...???...?
20: e2 07 d0 00 00 0e f9 00 00 00 00 00 00 00 00 00    ???..??.........
30: 00 00 00 0d 45 3c 00 00 00 00 00 00 00 00 00 00    ...?E<..........
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 20 7a 23 7b a5 81 03 00 10 08 00 00 00 00 02 bc     z#{???.??....??
90: 0b f6 9a 00 00 00 62 00 00 00 00 00 00 00 00 00    ???...b.........
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""

# si570
#i2c10_0x5d
ref_clk = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 4a 02 32 a1 3d 20 00 27 42 bb fa 66 65 07 c2 c0    J?2?= .'B??fe???
10: 00 00 00 07 c2 c0 00 00 00 07 c2 c0 00 00 00 0c    ...???...???...?
20: 8a ff a0 00 00 0e 7f 00 00 00 00 00 00 00 00 00    ?.?..??.........
30: 00 00 00 19 20 2e 00 00 00 00 00 00 00 00 00 00    ...? ...........
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 20 82 58 83 2f 83 03 00 10 08 00 00 00 00 02 bb     ?X?/??.??....??
90: fa 66 65 00 00 00 62 00 00 00 00 00 00 00 00 00    ?fe...b.........
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""

i2c13_0x30 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
10: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
20: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
30: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
40: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
50: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
60: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
70: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
80: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
90: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
a0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
b0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
c0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
d0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
e0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
f0: XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX XX    XXXXXXXXXXXXXXXX
"""

i2c13_0x36 = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
40: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff    ................
"""

# si570
#i2c13_0x50
ddr_clk = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 23 11 0c 02 85 21 00 08 00 60 00 03 01 0b 80 00    #????!.?.`.????.
10: 00 00 05 0d f8 ff 2f 00 6e 6e 6e 11 00 6e f0 0a    ..???./.nnn?.n??
20: 20 08 00 05 00 a8 14 28 28 00 78 00 14 3c 00 00     ?.?.??((.x.?<..
30: 00 00 00 00 00 00 00 00 00 00 00 00 16 36 16 36    ............?6?6
40: 16 36 16 36 16 36 16 36 16 36 16 36 16 36 00 00    ?6?6?6?6?6?6?6..
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 9c 00 00 00 00 00 e7 00 d8 71    ......?.....?.?q
80: 04 01 1f 00 00 00 00 00 00 00 00 00 00 00 00 00    ???.............
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 4d c2    ..............M?
"""

# si570
#i2c16_0x5d
hsdp_clk = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 4f 02 32 a1 3d 20 00 01 c2 bc 1c 94 d1 07 c2 c0    O?2?= .?????????
10: 00 00 00 07 c2 c0 00 00 00 07 c2 c0 00 00 00 0c    ...???...???...?
20: 7a 02 a0 00 00 0e b9 00 00 00 00 00 00 00 00 00    z??..??.........
30: 00 00 00 0b 1d 6d 00 00 00 00 00 00 00 00 00 00    ...??m..........
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 20 72 8a 74 c4 81 03 00 10 08 00 00 00 00 02 bc     r?t???.??....??
90: 1c 94 d1 00 00 00 62 00 00 00 00 00 00 00 00 00    ???...b.........
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""

i2c17_0x5b = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 c3 10 20    .............?? 
"""

i2c18_0x5b = i2c17_0x5b
i2c19_0x5b = i2c17_0x5b
i2c20_0x5b = i2c17_0x5b
i2c21_0x5b = i2c17_0x5b
i2c22_0x5b = i2c17_0x5b
i2c23_0x5b = i2c17_0x5b
i2c24_0x5b = i2c17_0x5b
i2c25_0x5b = i2c17_0x5b


qsfp_avago = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 0d 00 02 ff 00 00 00 00 00 55 55 00 00 00 00 00    ?.?......UU.....
10: 00 00 00 00 00 00 21 35 00 00 81 e5 00 00 00 00    ......!5..??....
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 03 03 00 00 00 00 00 00 00 00 00    .....??.........
80: 0d 00 0c 04 00 00 00 00 00 00 00 05 67 00 00 32    ?.??.......?g..2
90: 00 00 00 00 41 56 41 47 4f 20 20 20 20 20 20 20    ....AVAGO      
a0: 20 20 20 20 00 00 17 6a 41 46 42 52 2d 37 39 45        ..?jAFBR-79E
b0: 49 50 5a 20 20 20 20 20 30 31 42 68 07 d0 46 c2    IPZ     01Bh??F?
c0: 00 00 0f de 51 44 35 32 31 35 32 32 20 20 20 20    ..??QD521522   
d0: 20 20 20 20 31 33 31 32 32 36 20 20 08 00 00 2a        131226  ?..*
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""


qsfp_molex = """
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f    0123456789abcdef
00: 0c 00 02 00 00 00 00 00 00 00 00 00 00 00 00 00    ?.?.............
10: 00 00 00 00 00 00 01 81 00 00 00 00 00 00 00 00    ......??........
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
80: 0c 00 80 00 00 00 00 00 00 00 00 00 00 00 00 00    ?.?.............
90: 00 00 01 80 4d 6f 6c 65 78 20 49 6e 63 2e 20 20    ..??Molex Inc. 
a0: 20 20 20 20 00 00 09 3a 37 34 37 36 33 2d 30 30        ..?:74763-00
b0: 32 30 20 20 20 20 20 20 01 20 00 00 00 00 46 9e    20      ? ....F?
c0: 00 00 00 00 37 32 30 36 32 30 30 33 30 20 20 20    ....720620030  
d0: 20 20 20 20 31 37 30 37 32 35 00 00 00 00 00 da        170725.....?
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00    ................
"""
